Bug 1082410 (CVE-2014-0466) - CVE-2014-0466 a2ps: fixps does not invoke gs with -dSAFER
Summary: CVE-2014-0466 a2ps: fixps does not invoke gs with -dSAFER
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-0466
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1082412 1082411 1082413
Blocks: 1082415
TreeView+ depends on / blocked
 
Reported: 2014-03-31 02:25 UTC by Murray McAllister
Modified: 2019-09-29 13:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 18:05:22 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-03-31 02:25:19 UTC
brian m. carlson reported that a2ps's fixps script does not invoke gs with the -dSAFER option. Running fixps on a malicious PostScript file could result in files being deleted or arbitrary commands being executed with the privileges of the user running fixps.

A possible patch from Debian is available from the Debian bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=12;filename=a2ps-4.14-1.3-nmu.diff;att=1;bug=742902

Comment 1 Murray McAllister 2014-03-31 02:27:18 UTC
Created a2ps tracking bugs for this issue:

Affects: fedora-all [bug 1082411]
Affects: epel-6 [bug 1082412]

Comment 5 Fedora Update System 2014-05-08 09:58:53 UTC
a2ps-4.14-23.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-08 10:18:17 UTC
a2ps-4.14-23.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Vincent Danen 2015-01-20 18:05:04 UTC
Statement:

This issue did not affect the versions of a2ps as shipped with Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.